/* ===================================
    Crafto - Branding agency
====================================== */
/* font */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300;400;500;600;700&display=swap');
/* variable */
:root {     
    --base-color: #1d5d7c; 
    --medium-gray: #7b7a7a;
    --dark-gray: #1d1d1d;  
    --charcoal-blue: #232323;
    --alt-font: 'Space Grotesk', sans-serif;
    --primary-font: 'Inter', sans-serif;
	--solitude-blue:#e8eef2;
}
body {
    line-height: 30px;
    color: #545454;
}
a:hover {
    color: var(--dark-gray);
}
h1, .h1 {
    line-height: 4rem;
}
h3, .h3 { 
    line-height: 2.813rem;
}
h4 {
    line-height: 2.6rem;
}

header .navbar [class*=col-] .navbar-nav .nav-item, 
header .navbar [class*=col-] .navbar-nav .nav-item a{
	align-self:center;
}

.navbar .navbar-nav .nav-link{
	padding-top: 25px;
	padding-bottom: 25px;
	background: transparent;
}

/* BODY LINKS */ 
p a {
   	box-shadow: inset 0 0 0 0 #3fa875;
   	color: #3fa875;
   	margin: 0 -.15rem;
   	padding: 0 .25rem;
   	transition: color .3s ease-in-out, box-shadow .3s ease-in-out;
}

p a:hover {
	box-shadow: inset 100px 0 0 0 #3fa875;
	color: white;
}

.g-recaptcha.is-invalid iframe{
	border-color: #dc3545!important;
	border-radius: 3px;
}

.recaptcha-error{
	color: #dc3545;
	font-style: italic;
	font-size: .9em;
}

.g-recaptcha > div{
	display: inline-block;
	margin-bottom: 10px;
}

/* HEADER NAV STYLES */ 

@media (min-width: 991px){
	.nav-item a {
	   padding: 20px;
	   cursor: pointer;
	   background: #fff;
	   text-decoration: none;
	   color: #666;
	   -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	   display: inline-block;
	   vertical-align: middle;
	   -webkit-transform: translateZ(0);
	   transform: translateZ(0);
	   -webkit-backface-visibility: hidden;
	   backface-visibility: hidden;
	   -moz-osx-font-smoothing: grayscale;
	   position: relative;
	   overflow: hidden;
	   @include transition(0.3s ease-in-out color);
	
	   &:before {
	      content: "";
	      position: absolute;
	      z-index: -1;
	      left: 50%;
	      right: 50%;
	      top: 0;
	      background: #1d5d7c;
	      height: 4px;
	      -webkit-transition-property: left, right;
	      transition-property: left, right;
	      -webkit-transition-duration: 0.3s;
	      transition-duration: 0.3s;
	      -webkit-transition-timing-function: ease-out;
	      transition-timing-function: ease-out;
	   }
	   &:after {
	      content: "";
	      position: absolute;
	      z-index: -1;
	      left: 50%;
	      right: 50%;
	      bottom: 0;
	      background: #1d5d7c;
	      height: 4px;
	      -webkit-transition-property: left, right;
	      transition-property: left, right;
	      -webkit-transition-duration: 0.3s;
	      transition-duration: 0.3s;
	      -webkit-transition-timing-function: ease-out;
	      transition-timing-function: ease-out;
	   }
	   			
	   &:hover,
	   &:focus,
	   &:active,
	   &.active {
	      &:before {
	         left: 0;
	         right: 0;
	      }
	      &:after {
	         left: 0;
	         right: 0;
	      }
	      color:#1d5d7c!important;
	   }
	}
	
	/*.navbar-nav .nav-item.active .nav-link{
		color: #1d5d7c;
		opacity: 1;
	}*/
	
	.navbar .navbar-nav .nav-item .nav-link.active, 
	.navbar .navbar-nav .nav-item.active .nav-link, 
	.navbar .navbar-nav .nav-item:hover .nav-link{
		color: #1d5d7c;
		opacity: 1;
	}
	
	.navbar .navbar-nav .nav-item:hover .nav-link{
		opacity: .8;
	}
	
	.nav-item.active a:before,
	.nav-item.active a:after {
	         left: 0;
	         right: 0;
	}
}


.slider-title{
	text-shadow: 0px 0px 23px rgba(255, 255, 255, 0.86);
}

/* header */
.navbar .navbar-nav .nav-link {
    font-size: 18px;
    font-weight: 600;
}
header .header-button .btn.btn-switch-text.btn-medium > span {
    padding: 12px 22px;
}
header .navbar-brand img {
    max-height: 34px;
}
.navbar .navbar-nav .dropdown.dropdown-with-icon-style02 .dropdown-menu li a {
    font-size: 17px;
    font-weight: 500;
    color: var(--dark-gray) !important;
}
.navbar .navbar-nav .dropdown.dropdown-with-icon-style02 .dropdown-menu li a:hover {
    background-color: #f6f4f3;
}
.navbar .navbar-nav .dropdown.dropdown-with-icon-style02 .dropdown-menu li a i {
    font-size: 30px;
    width: 35px;
}
/*margin*/
.ms-100px {
    margin-left: 100px;
}
.ms-80px {
    margin-left: 80px;
}
.mb-minus-50px {
    margin-bottom: -50px;
}
/* btn */
.btn {
    text-transform: none;
    letter-spacing: 0;
}
.btn.btn-extra-large {
    font-size: 16px;
    padding: 16px 32px;
}
.btn.btn-large {
    font-size: 15px;
    padding: 15px 30px;
}
.btn.btn-switch-text.btn-large > span {
    padding: 15px 30px;
}
.btn-gradient-fuel-yellow-blue {
    background-image: linear-gradient(to right, #1d5d7c, #3fa875, #1d5d7c);
    background-size: 200% auto;
    color: var(--white);
}
/* left right top bottom */
.left-minus-45 {
    left: -45%;
}
.bottom-minus-200px {
    bottom: -200px;
}
.one-half-screen {
  height: 550px !important;
}
.swiper-pagination-progress .swiper-progress {
    background-color: var(--dark-gray); 
}
.magic-drag-cursor #ball-cursor:before {
    font-weight: 500;
}
/* text gradient color */
.text-gradient-base-color {
    background-image: linear-gradient(to right, #3fa875 0%, #1d5d7c 100%); 
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.text-orange{
    color: #e97522;
}
.text-green{
    color: #3fa875;
}
.text-blue{
    color: #1d5d7c;
}
/* bg gradient color */
.bg-gradient-top-very-light-gray { 
    background-image:linear-gradient(to right, #fbf3e9, #f9f4eb, #f4f4f0, #f2f4f2, #eff4f4);
}
.bg-linen {
    background: #f9f9f9;
}
.bg-gradient-orange-transparent {
    background: linear-gradient(to right, rgba(233, 117, 34, 1.0) 10%, rgba(255, 255, 255, 0.0) 95%);
}
.bg-gradient-blue-transparent {
    background: linear-gradient(to right, rgba(30, 163, 177, 1.0) 10%, rgba(255, 255, 255, 0.0) 95%);
}
/* blog only text */
.blog-only-text .card-body:after {
    display: none;
}
/* social icon style 06 */
.social-icon-style-06 li {
    position: relative;
}
.social-icon-style-06 li:before {
    width: 6px;
    height: 6px;
    border-radius: 100%;
    background-color: var(--medium-gray);
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    right: -15px;
    transform: translateY(-50%);
    opacity: .5;
}
.social-icon-style-06 li:last-child:before {
    display: none;
}
.google-maps-link a:hover {
    color: var(--white);
}
/* footer */
footer, footer a{
	color: #B5B5B5;
}

footer ul li {
    margin-bottom: 0;
    line-height: 28px;
}
footer a:hover {
    color: var(--white);
}

.footer-logo-col{
	text-align: right;
}
footer .footer-logo img {
    max-height: 90px;
}
/* z-index */
.z-index-99 {
    z-index: 99; 
}
@media (min-width: 992px) {
    .navbar .navbar-nav .dropdown.dropdown-with-icon-style02 .dropdown-menu li a {
        padding: 20px 30px;
    }
    .navbar .navbar-nav .dropdown.dropdown-with-icon-style02 .dropdown-menu {
        box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
        width: 285px;
    }
}
@media (max-width: 1199px) {
    .left-minus-45 {
        left: -78%;
    }
    .lg-ms-70px {
        margin-left: 70px;
    }
    .lg-bg-transparent {
        background-color: transparent;
    }
    .one-half-screen {
        height: auto !important;
    }
}
@media (max-width: 991px) {
    [data-mobile-nav-style=modern] .navbar-modern-inner .navbar-nav .nav-item .dropdown-menu a i {
        font-size: 19px;
        vertical-align: middle;
        color: var(--white);
    }
    .md-top-auto {
        top: auto;
    }
}

header{
	height: 140px;
}
header .navbar-brand img{
	max-height: 80px;
}

.drop-shadow{
    position:relative;
    -webkit-box-shadow:0 1px 4px rgba(0, 0, 0, 0.3);
       -moz-box-shadow:0 1px 4px rgba(0, 0, 0, 0.3);
            box-shadow:0 1px 4px rgba(0, 0, 0, 0.3);
}

.swiper-pagination-wrapper{
	display: none!important;
}

.about-page-title{
	background-position: center top!important;
}
.plumbing-page-title{
	background-position: center bottom!important;
}

.water-treatment-page-title{
	background-position: center top!important;
}

.page-title-extra-small h1{
	text-shadow: 0px 0px 23px rgba(0, 0, 0, 0.86);
	font-weight: 600;
}
.page-title-extra-small h2{
	text-shadow:0px 0px 37px rgba(0,0,0,0.66);
}


.swiper-wrapper{
	align-items: center;
}

.callout-text h3{
	margin-bottom: 0;
}

.feature-box-icon i{
	color: #1d5d7c; 
	font-size: 48px;
}

.faq-icon{
	font-size: 230px;
	transform: rotate(14deg);
}

.testimonial-slide,
.testimonial-slide .swiper-button-next, 
.testimonial-slide .swiper-button-prev{
	color: #FFF;
}

.service-boxes .feature-box-icon i{
	font-size: 20px;
	font-weight: bold;
}

.service-boxes h6{
	font-size: 18px;
	margin-bottom: 0;
}

.service-boxes p{
	font-size: 16px;
	line-height: 1.3em;
	margin-bottom: 0;
	font-weight: normal;
}

.service-boxes .feature-box.feature-box-left-icon-middle{
	-webkit-box-align: start !important;
	-moz-box-align: start !important;
	-ms-flex-align: start !important;
	-webkit-align-items: start !important;
	align-items: start !important;
}

.service-boxes .vertical-title-center{
	height: auto;
}
header{
    z-index: 1024;
    position: relative;
}

.sticky-top-offset {
	top: 140px; /* Adjust this value to your desired offset */
}

h5.mobile-heading{
	display: none;
}


@media (max-width: 1429px) and (min-width: 992px) {
	
	header .navbar{
		min-height: 140px;
		
	}

}

@media (max-width: 992px) and (min-width: 1px) {
	
	header{
		height: 98px;
	}
	
	.page-layout{
		/*margin-top: 98px;*/
	}
	
	header .navbar{
		min-height: 1px;
	}
	
	header .navbar-brand{
		padding-top: 10px;
		padding-bottom: 10px;
		
	}
	.home-feature .vertical-title-center{
		display: none!important;
	}

	h5.mobile-heading{
		display: block;
		font-family: "Space Grotesk", sans-serif;
		font-size: 16px;
		font-weight: 700;
		line-height: 30px;
		letter-spacing: .5px;
		text-transform: uppercase;
		color: var(--dark-gray);
		margin-bottom: 8px;
	}
	
	.intro-paragraph{
		margin-bottom: 6%;
	}
	
	.stack-box-contain .stack-item:first-of-type{
		padding-top: 0!important;
	}
	
	.footer-nav{
		text-align: right;
	}
	.footer-logo-col{
		display: none;
	}

}

@media (max-width: 768px) and (min-width: 1px) {
	/* Homepage Trio Images */
	   .home-trio{
		   text-align: center;
	   }
	   
	   .home-trio .pic-1,
	   .home-trio .pic-2 { 
		   display: none; 
		}	
	   	   
	   .home-trio .pic-3{
		   width: 100%!important;
		   box-shadow: none;
	   }
	   
	   .home-trio .pic-3 img{
	       width: auto !important;
	       max-width: 100%;
	       margin: 0 auto;
	   }
	   
	   .footer-nav,
	   .get-in{
		   text-align: center;
	   }
	   .send-msg{
		   text-align: right;
		}
	   
}

@media (max-width: 991px) {
}

@media (max-width: 576px) {
	.service-boxes .flex-row-reverse{
		flex-direction: row!important;
	}
}
